%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	General-purpose scalable concurrent malloc implementation
Name:		jemalloc
Version:	3.6.0
Release:	3
License:	BSD
Group:		System/Libraries
Url:		http://www.canonware.com/jemalloc/
Source0:	http://www.canonware.com/download/jemalloc/%{name}-%{version}.tar.bz2
# Remove pprof, as it already exists in google-perftools
Patch0:		jemalloc-3.5.0-no_pprof.patch
# ARMv5tel has no atomic operations
Patch1:		jemalloc-armv5-force-atomic.patch
BuildRequires:	xsltproc

%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	General-purpose scalable concurrent malloc implementation
Group:		System/Libraries

%description -n %{libname}
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%files -n %{libname}
%doc COPYING README VERSION
%doc doc/jemalloc.html
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%{_bindir}/jemalloc.sh
%{_includedir}/jemalloc
%{_libdir}/lib%{name}.so
%{_mandir}/man3/jemalloc.3*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LC_ALL=C
export CFLAGS="%{optflags} -std=gnu99"
%configure2_5x
%make

%install
%makeinstall_std

# Install this with doc macro instead
rm %{buildroot}%{_datadir}/doc/%{name}/jemalloc.html

# None of these in fedora
find %{buildroot}%{_libdir}/ -name '*.a' -exec rm -vf {} ';'


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.6.0-3
+ Revision: d2be99f
- MassBuild#440: Increase release tag


